Skip to main content
GET
List contacts

Authorizations

Authorization
string
header
required

A workspace API key: Authorization: Bearer osk_...

Query Parameters

q
string

Search name, handle, phone or email

Example:

"ada"

status
string

active | paused | blocked

Example:

"active"

platform
string

Filter by platform

Example:

"whatsapp"

source
string

Filter by acquisition source

Example:

"API"

stage
string

Stage id, or "none" for contacts with no stage

Example:

"{{stageId}}"

tags[]
string

Tag ids — matches a contact carrying ANY of them

Example:

"{{tagId}}"

has_phone
string

Only contacts with a phone number

Example:

"1"

has_email
string

Only contacts with an email address

Example:

"1"

per_page
string

Items per page (max 100)

Example:

"25"

Response

200

Success